Name:           lucidlife
Version:        0.9.2
Release:        5%{?dist}
Summary:        A Conway's Life simulator

Group:          Amusements/Games
License:        GPLv2+
URL:            http://icculus.org/~jcspray/LucidLife/
Source0:        http://icculus.org/~jcspray/LucidLife/%{name}-%{version}.tar.gz
Patch0:		%{name}-make-docs-use-proper-dir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:	gnome-vfs2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext	

%description
LucidLife is a Conway's Life simulator. The rules are rather simple. The game
is started with a large grid of cell locations, and an arbitrary set of
living cells. On each turn, each cell thrives or dies based on the number of 
cells which sourround it. A dead (empty) cell with three live cells around it
becomes a living cell (a birth); a living cell with two or three neighbors
survives; otherwise the cell dies (due to overcrowding) or remains dead
(due to loneliness). It is based on the the GtkLife project, but with a
more modern user interface and other enhancements.


%prep
%setup -q
%patch0 -p0 -b .make-docs-use-proper-dir


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora	\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original	\
	--remove-category=Application	\
	--add-category=LogicGame	\
	%{buildroot}%{_datadir}/applications/lucidlife.desktop
 

%clean
rm -rf %{buildroot}


%files -f %{name}.lang 
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%doc doc/*.png doc/*.html doc/*.gif doc/*.css
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.2-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Peter Gordon <peter@thecodergeek.com> - 0.9.2-2
- Update License tag (GPLv2+).
- Rebuild with new BuildID-enabled binutils.

* Sun Apr 29 2007 Peter Gordon <peter@thecodergeek.com> - 0.9.2-1
- Update to new upstream bugfix release (0.9.2)
- Drop .desktop encoding fix (merged upstream):
  - add-.desktop-encoding.patch
- Use %%name in the %%files listing instead of hardcoding it, for consistency
  with my other packages; and use the $(VERSION) macro in the autotools build
  scripts to ease version bumps/updates.

* Fri Apr 20 2007 Peter Gordon <peter@thecodergeek.com> - 0.9.1-3
- Ammend make-docs-use-proper-dir patch to ensure that the "Help" menu
  functionality works properly. (Thanks to Leonard A. Hickey for the patch;
  resolves bug #237329.)
  
* Sun Mar 11 2007 Peter Gordon <peter@thecodergeek.com> - 0.9.1-2
- Add LogicGame to the categories of the installed .desktop file for improved
  organization with games-menus.
- Rework patch calls for more readability.

* Sat Oct 28 2006 Peter Gordon <peter@thecodergeek.com> - 0.9.1-1
- Update to new upstream release (0.9.1)
- Drop X-Fedora and Application categories in installed .desktop file
- Add patch (sent upstream) to add Encoding=UTF-8 in installed .desktop file:
  + add-.desktop-encoding.patch
- Add %%name prefix to old make-docs-use-proper-dir patch filename
  to keep it all in the same logical namespace.

* Sun Aug 27 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-11
- Mass FC6 rebuild

* Sat Jul 22 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-10
- Add gettext as a build requirement to fix reduced mock build NLS issues.
  Thanks again, Matt.

* Tue Jul 18 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-9
- Add perl(XML::Parser) as a build requirement to fix reduced mock build
  (#199355) Thanks for your build report, Matt Domsch.
- Fix up zero-padding for single-digit dates in the %%changelog for
  consistency.

* Sat Apr 08 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-8
- Use desktop-file-install's "--delete-original" option instead of doing
  it manually.

* Tue Mar 28 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-7
- Add patch to put the documentation and %%doc stuff in the same directory.

* Sun Mar 19 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-6
- Bump release due to CVS tagging not liking me. 

* Sun Mar 19 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-5
- Rebuild for new dist tag in FE Devel.

* Wed Mar 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-4
- Rebuild for spec file fixes and email address change.

* Sun Feb 26 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-3
- Add %%{?dist} tag to the release to fix CVS tagging issue.

* Sun Feb 19 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-2
- Dropped Requires: on gtk2 and gnome-vfs2, as the -devel sonames will pull
  these in.
- Fixed handling of .desktop file to conform to Fedora Extras guidelines. 
- Changed %%files section to use %%{_datadir}/%%{name} instead of hardcoding
  "lucidlife" to help prevent file ownership problems
- Thanks to Brian Pepple in BZ #177881 for these suggestions.

* Sun Jan 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.9-1
- Initial packaging.
